# Uses of Enum Class
org.eclipse.spi.net4j.InternalChannel.SendQueueEvent.Type

Packages that use InternalChannel.SendQueueEvent.Type
Package
Description
org.eclipse.spi.net4j
Server service provider interfaces and useful base implementations for the Net4j transport layer.

## Uses of InternalChannel.SendQueueEvent.Type in org.eclipse.spi.net4j

Methods in org.eclipse.spi.net4j that return InternalChannel.SendQueueEvent.Type
Modifier and Type
Method
Description
`InternalChannel.SendQueueEvent.Type`
InternalChannel.SendQueueEvent.`getType()`
`static InternalChannel.SendQueueEvent.Type`
InternalChannel.SendQueueEvent.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InternalChannel.SendQueueEvent.Type[]`
InternalChannel.SendQueueEvent.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.